Skip to content
Go to Micro

Delete a property definition

client.prism.properties.delete(stringpropertyID, PropertyDeleteParams { teamId, objectType, type, list_id } params, RequestOptionsoptions?): void
DELETE/v2/prism/{teamId}/{objectType}/properties/{propertyId}

Removes the property definition and any of its options. Fails with 409 property_in_use if records still reference the property.

ParametersExpand Collapse
propertyID: string
formatuuid
params: PropertyDeleteParams { teamId, objectType, type, list_id }
teamId?: string

Path param

formatuuid
objectType: "comment" | "deal" | "engagement" | 9 more

Path param

One of the following:
"comment"
"deal"
"engagement"
"identity"
"ai_chat_thread"
"ai_chat_message"
"agent_site"
"document"
"action"
"event"
"organization"
"contact"
type: "num" | "str" | "bool" | 34 more

Query param: Storage type of this property definition.

One of the following:
"num"
"str"
"bool"
"date"
"text"
"byte"
"select_str"
"multi_str"
"multiselect_str"
"jsonb"
"ref_identity"
"ref_user"
"ref_organization"
"ref_contact"
"ref_thread"
"ref_message"
"ref_event"
"ref_account"
"ref_ai_chat_thread"
"ref_ai_chat_message"
"multiref_ai_chat_message"
"multiref_agent_site"
"multiref_action"
"multiref_comment"
"multiref_contact"
"multiref_label"
"multiref_thread"
"multiref_messages"
"multiref_document"
"multiref_identity"
"multiref_organization"
"multiref_engagement"
"multiref_attendee"
"multiref_meeting_entry"
"multiref_read_receipt"
"multiref_account"
"multiref_source"
list_id?: string

Query param

formatuuid

Delete a property definition

import Micro from '@micro-so/sdk';

const client = new Micro({
  teamID: 'My Team ID',
  apiKey: process.env['MICRO_API_KEY'], // This is the default and can be omitted
});

await client.prism.properties.delete('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
  objectType: 'comment',
  type: 'num',
});
Returns Examples